DROP TABLE IF EXISTS log;
CREATE TABLE log (
  id SERIAL,
  record_date timestamp NOT NULL,
  server_ip VARCHAR(255),
  server_port INT,
  client_ip VARCHAR(255),
  client_port INT,
  session_id VARCHAR(255),
  username VARCHAR(255),
  client_request VARCHAR(1024),
  client_message VARCHAR(1024),
  server_status VARCHAR(1024),
  server_message VARCHAR(1024),
  inbound_bytes BIGINT,
  outbound_bytes BIGINT,
  PRIMARY KEY  (id)
);
